Bug 964125 - lightdm-gtk is able to use backgrounds only in a very specific formats
lightdm-gtk is able to use backgrounds only in a very specific formats
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lightdm-gtk (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 06:12 EDT by Michal Jaegermann
Modified: 2014-01-07 01:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-07 01:51:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch which allows expected background setting (539 bytes, patch)
2013-05-17 06:12 EDT, Michal Jaegermann
no flags Details | Diff

  None (edit)
Description Michal Jaegermann 2013-05-17 06:12:05 EDT
Created attachment 749287 [details]
Patch which allows expected background setting

Description of problem:

Attempts to configure in /etc/lightdm/lightdm-gtk-greeter.conf a background other than default usually end up with a black screen surrounding a greeter box.  For reasons not clear to me only PNG pictures with an alpha channel are acceptable (even if neither docs nor source seem to imply that this is the case).
OTOH "one-liner" patch, attached, make all kind of picture formats usable so one can use, for example, a JPEG format photo for a background and it displays
as expected.

Version-Release number of selected component (if applicable):
lightdm-gtk-1.3.1-4.fc18

How reproducible:
all the time (but see below)

Additional info:
In my experience so far this afflicts, for mysterious reasons, only 32-bit binaries and the same pictures which will give a black lightdm-gtk background there will work just fine as expected on x86_64 system
Comment 1 Fedora End Of Life 2013-12-21 08:35:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Michal Jaegermann 2014-01-07 01:51:11 EST
lightdm-gtk-1.6.1-2.fc20 does not seem to suffer from the described affliction.  As a matter of fact sources of lightdm-gtk-1.6.1 include a code like the one from an attachment to this report although in a slightly different location.

Note You need to log in before you can comment on or make changes to this bug.